summaryrefslogtreecommitdiffstats
path: root/deps/PyQt5/PyQt5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/PyQt5/PyQt5.SlackBuild')
-rwxr-xr-xdeps/PyQt5/PyQt5.SlackBuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/deps/PyQt5/PyQt5.SlackBuild b/deps/PyQt5/PyQt5.SlackBuild
index 066e1b8..df9e97b 100755
--- a/deps/PyQt5/PyQt5.SlackBuild
+++ b/deps/PyQt5/PyQt5.SlackBuild
@@ -27,7 +27,7 @@
# Modified by Eric Hameleers <alien@slackware.com>
PKGNAM=PyQt5
-VERSION=${VERSION:-5.12.1}
+VERSION=${VERSION:-5.12.3}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
@@ -71,6 +71,10 @@ rm -rf ${PKGNAM}_gpl-$VERSION
tar xvf $CWD/${PKGNAM}_gpl-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}_gpl-$VERSION || exit 1
+# Remove code that is unneeded if Qt is not bundled and crashes on python2
+# https://www.riverbankcomputing.com/pipermail/pyqt/2019-July/041896.html
+cat $CWD/patches/pyqt5-python2-crash.patch | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \